
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Voyager.Strategies.data_driven_ensembler module &#8212; PhaserVoyager 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/sphinxdoc.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Voyager.Strategies.homologs module" href="Voyager.Strategies.homologs.html" />
    <link rel="prev" title="Voyager.Strategies.auto_solver module" href="Voyager.Strategies.auto_solver.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="Voyager.Strategies.homologs.html" title="Voyager.Strategies.homologs module"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="Voyager.Strategies.auto_solver.html" title="Voyager.Strategies.auto_solver module"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="Voyager.html" >Voyager package</a> &#187;</li>
          <li class="nav-item nav-item-3"><a href="Voyager.Strategies.html" accesskey="U">Voyager.Strategies package</a> &#187;</li> 
      </ul>
    </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="Voyager.Strategies.auto_solver.html"
                        title="previous chapter">Voyager.Strategies.auto_solver module</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="Voyager.Strategies.homologs.html"
                        title="next chapter">Voyager.Strategies.homologs module</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/Voyager.Strategies.data_driven_ensembler.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-Voyager.Strategies.data_driven_ensembler">
<span id="voyager-strategies-data-driven-ensembler-module"></span><h1>Voyager.Strategies.data_driven_ensembler module<a class="headerlink" href="#module-Voyager.Strategies.data_driven_ensembler" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="Voyager.Strategies.data_driven_ensembler.data_driven_ensembler">
<em class="property">class </em><code class="descclassname">Voyager.Strategies.data_driven_ensembler.</code><code class="descname">data_driven_ensembler</code><span class="sig-paren">(</span><em>argsparse</em>, <em>program_master_phil</em>, <em>states=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/Strategies/data_driven_ensembler.html#data_driven_ensembler"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.Strategies.data_driven_ensembler.data_driven_ensembler" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">voyager_strategy.VoyagerStrategy</span></code></p>
<dl class="method">
<dt id="Voyager.Strategies.data_driven_ensembler.data_driven_ensembler.check_conditional_417">
<code class="descname">check_conditional_417</code><span class="sig-paren">(</span><em>input_nodes</em>, <em>state_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/Strategies/data_driven_ensembler.html#data_driven_ensembler.check_conditional_417"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.Strategies.data_driven_ensembler.data_driven_ensembler.check_conditional_417" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.Strategies.data_driven_ensembler.data_driven_ensembler.check_conditional_720">
<code class="descname">check_conditional_720</code><span class="sig-paren">(</span><em>input_nodes</em>, <em>state_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/Strategies/data_driven_ensembler.html#data_driven_ensembler.check_conditional_720"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.Strategies.data_driven_ensembler.data_driven_ensembler.check_conditional_720" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="Voyager.Strategies.data_driven_ensembler.data_driven_ensembler.reduce_with_selection_1528">
<code class="descname">reduce_with_selection_1528</code><span class="sig-paren">(</span><em>input_nodes</em>, <em>state_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Voyager/Strategies/data_driven_ensembler.html#data_driven_ensembler.reduce_with_selection_1528"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Voyager.Strategies.data_driven_ensembler.data_driven_ensembler.reduce_with_selection_1528" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="Voyager.Strategies.homologs.html" title="Voyager.Strategies.homologs module"
             >next</a> |</li>
        <li class="right" >
          <a href="Voyager.Strategies.auto_solver.html" title="Voyager.Strategies.auto_solver module"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="Voyager.html" >Voyager package</a> &#187;</li>
          <li class="nav-item nav-item-3"><a href="Voyager.Strategies.html" >Voyager.Strategies package</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Massimo D. Sammito.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.
    </div>
  </body>
</html>